# WP Content Copy Protection

WP Content Copy Protection is a simple, yet effective plugin that uses an array of aggressive techniques in protecting your online content from being stolen.

Some of the most common content copy methods (via mouse, keyboard and browser), such as right-click, image drag/drop/save, text selection/drag/drop, source code viewing, and keyboard copy shortcut keys such as CTRL A, C, X, U, S, and P are disabled with this plugin (just to name a few).

This is a plugin with teeth - and an absolute must for any business owner, blogger and WordPress site owner who is serious about protecting his online content! Simple, effective, lightweight and non resource-intensive! By far the most effective 360 degree content copy protection plugin you will come across.

## Installation

1. Deactivate AND delete any older version of `WP Content Copy Protection` from your WP `dashboard/plugins`
2. Upload and extract the contents of this plugin to your `wp-content/plugins/folder`
3. Activate the plugin in your `WP-admin/plugins`
4. Enjoy our full house content protection

## Development

- `composer install` 
- `yarn install`
- `yarn dev`

## Production

- `composer install --no-dev`
- `yarn install`
- `yarn prod`

## Docker
Start local docker container

`docker-compose up -d` 

Pause docker container

`docker-compose stop` 

Stop and remove docker container

`docker-compose down` 

Access url: http://localhost:9999 

## F.A.Q

1. **Will WP Content Copy Protection have a negative impact on my SEO?**

	No, absolutely not! This plugin will only affect the client's browser (client attempting to copy your content) and will have NO negative impact on your SEO.

2. **Will this plugin disable the features from the site administrator also?**

	The integrated settings (since v 1.0.7) allows the admin to enable/disable all copy protect features from admin (including registered and logged in users).

3. **Will your WP Content Copy Protection Plugin affect my Advertising Units (Adsense)?**

	Absolutely not! Although this plugin locks your content and prevents it from being copied by anyone else, embeddable content will remain unaffected.

4. **Why Did you exclude The 'alert-message' ?**

	We have disabled it due to the fact that it could scare away your visitors - causing a higher bounce rate and essentially, defaming your website. Simply, non-obtrusive!

6. **Does your plugin work on all major browsers?**

	This plugin works on all major browsers. The full functionality of this plugin was tested on the latest versions of IE (Internet Explorer), Mozilla FF, and Chrome and Safari without any problems.

7. **Why did you remove the iframe breaker?**

	We have removed the iframe breaker due to a theme customization conflict and also because the javascript frame breaker can easily be bypassed. The good news however, is that we have come up with a more secure frame breaker which is available to you as free extension to WP Content Copy Protection. This extension can be downloaded here: http://wordpress.org/plugins/wp-noframenoclickjacking/

8. **Can I exclude pages and/or posts from being protected?**

	Absolutely! Prior to v1.2 we only had the option to exclude page, post and category level exclusion. You now have the option to exclude pages, posts and categories from being protected!

9. **Is your plugin Mac OS X compatible?**

	Yes! While the plugin was initially developed for windows and linux based operating systems - we have made reasonable attempt to prevent most copy functions via Mac osx based systems as well. 

10. **Is there a limit as to how many sites I may use this plugin on?**

	WP Content Copy Protection Pro Edition is available in single site usage license (which allows usage on ONE (1) single site only - and an unlimited site usage license (which allows unlimited usage). Please see https://www.tychesoftwares.com/premium-plugins/ for details or email us: support@tychesoftwares.freshdesk.com
